package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag290;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT290Creator;

public class Tag72Creator extends AbsTagCreate {
    private MT290Creator mt290Creator;

    public Tag72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt290Creator = (MT290Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt290Creator.getSendertoReceiverInformation();
        mt290Creator.set("72",tag72Value);
    }
}
